CREATE TABLE TB_USUARIS (
	id_usuari NUMBER(9) PRIMARY KEY,
	nom VARCHAR2(50) NOT NULL,
	cognoms VARCHAR2(100),
	telefon VARCHAR2(20),
	id_carrec NUMBER(9),
	email VARCHAR2(50),
	nif VARCHAR2(10),
	data_naixement DATE,
	id_departament NUMBER(9)
);

CREATE SEQUENCE SEQ_TB_USUARIS INCREMENT BY 1;

CREATE TABLE TB_DEPARTAMENT (
	id_departament NUMBER(9) PRIMARY KEY,
	nom_departament VARCHAR2(50) NOT NULL
);

CREATE SEQUENCE SEQ_TB_DEPARTAMENTS INCREMENT BY 1;

ALTER TABLE TB_USUARIS ADD CONSTRAINT departament_usuari_fk FOREIGN KEY (id_departament) REFERENCES TB_DEPARTAMENT (id_departament);
